build.sh Script for nikola build

This commit is contained in:
Frank Agerholm 2024-10-30 22:12:10 +01:00
commit a241676ca5
No known key found for this signature in database
2 changed files with 20 additions and 2 deletions

18
bin/build.sh Normal file
View file

@ -0,0 +1,18 @@
#!/bin/sh
if ! test -d website
then
echo "Website directory not found"
exit 1
fi
if ! command -v nikola >/dev/null 2>&1
then
echo "nikola command not found"
exit 1
fi
cd website
nikola build
exit "$?"